Favicon

You are here: Home > App Distribution > API > Builds > DELETE – Remove a Build

DELETE – Remove a Build




<!--HTML_BLOCK_0-->



This request is intended to remove a Build permanently.

## Definition



<!--HTML_BLOCK_1-->



-   **Authentication, build ID:** required
    
-   **Headers:**
    
    `Content-Type: application/json`
    
    `Authorization: bearer [<your_app_token>](https://www.applivery.com/docs/api/apps-api-authentication/?swcfpc=1)`
    

## Params

<table style="min-width: 75px;"><colgroup><col style="min-width: 25px;"><col style="min-width: 25px;"><col style="min-width: 25px;"></colgroup><tbody><tr><th colspan="1" rowspan="1"><p>Param</p></th><th colspan="1" rowspan="1"><p>Type</p></th><th colspan="1" rowspan="1"><p>Description</p></th></tr><tr><td colspan="1" rowspan="1"><p><code>buildId</code></p></td><td colspan="1" rowspan="1"><p>String</p></td><td colspan="1" rowspan="1"><p>Build Id. E.g.: <code>552ae3cfcb5abfc58d733b81</code>.</p></td></tr></tbody></table>

## Example request

curl 'https://api.applivery.io/v1/integrations/builds/552ae3cfcb5abfc58d733b81'
-X DELETE
-H 'Authorization: bearer xyz...xyz'


## Responses

200 - Success  
400 - Bad request  
401 - Unauthorized  
404 - Not found

**Content type:** `application/json`

{
"status": true,
"data": {
"deleted": true
}
}


**Content type:** `application/json`

{
"status": false,
"error": {
"code": 5014,
"message": "Build Not Processed"
}
}


**Content type:** `application/json`

{
"status": false,
"error": {
"code": 3002,
"message": "Token Expired"
}
}


**Content type:** `application/json`

{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}
```